﻿body {
    min-height: 100%;
    font-size: 1.3rem !important;
}

.e-grid {
    margin-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 85px;
}

.form-control, .btn:not(.note-btn) {
    font-size: 1.3rem !important;
    height: 52px;
}

.note-btn-group, .note-btn {
    height: 32px !important;
}

.navbar-brand {
    font-size: 1.3rem;
}

.nav-item.dropdown {
    margin-left: 8px;
    margin-right: 8px;
}

h2 {
    margin-top: 15px;
    color: #212529;
    text-align: center;
}

.dropdown-item {
    font-size: 1.3rem;
}

.e-datewidget .e-in-wrap .e-input {
    font-size: 1.3rem;
}

.dl-horizontal dt {
    white-space: normal;
}

input,
select,
textarea {
    font-size: 1.3rem;
}

.navbar-custom {
    background-color: #005398;
    font-size: 1.5rem;
}

.navbar-dark .navbar-nav .nav-link:hover, .navbar-dark .navbar-nav .nav-link:focus {
    color: #fff;
    color: rgba(255, 255, 255, 1);
}

.navbar-dark .navbar-nav .nav-link {
    color: #f7f7f7;
    color: rgba(255, 255, 255, 0.8);
}

.btn-primary {
    color: #fff;
    background-color: #005398;
    border-color: #005398;
}

    .btn-primary:hover {
        color: #fff;
        background-color: #2e7aba;
        border-color: #2e7aba;
    }

.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.center-control {
    margin: 0 auto;
}

.help-block ul {
    list-style-type: none;
    padding-left: 0;
}

.viewButton {
    border-color: #005398 !important;
    background-color: #005398 !important;
    color: #fff !important;
    font-size: 1.2rem !important;
    height: 43px;
    width: 210px;
}

.viewButton:hover {
    border-color: #333 !important;
    color: #333 !important;
    background-color: transparent !important;
}

.editButton {
    border-color: #ff9500 !important;
    background-color: #ff9500 !important;
    color: #fff !important;
    font-size: 1.2rem !important;
    height: 43px;
    width: 210px;
}

.editButton:hover {
    background-color: transparent !important;
}

.max280 {
    max-width: 280px;
}

.customButton {
    width: 100%;
    margin-top: 10px;
}

.bolded {
    font-weight: bold;
}

.hr {
    content: " ";
    border: 1px solid #005398;
    display: block;
    max-width: 280px
}

.bigRadio {
    transform: scale(3.5);
    margin-left: 55px;
    margin-right: 15px;
    margin-top: 25px;
}

.bigCheck {
    transform: scale(2.0);
    margin-left: 15px;
    margin-right: 25px;
    margin-bottom: 35px;
}

.e-datepicker.e-popup.e-widget.e-calendar.e-ntouch.e-dp-restrict-show {
    transform: scale(1.5);
}

.bigDate {
    transform: scale(2.0);
    margin-left: 15px;
    margin-right: 25px;
    margin-bottom: 35px;
}

.bordered {
    border: 1px solid #CCCCCC;
    -moz-border-radius: 6px 6px 6px 6px;
    -webkit-border-radius: 6px 6px 6px 6px;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 1px 1px #CCCCCC;
    border-spacing: 0;
    width: 100%;
    margin: 0 auto;
    max-width: 800px;
}

.btn-light {
    border-color: #333
}


.bordered th {
    background-color: #DCE9F9;
    background-image: -moz-linear-gradient(center top, #F8F8F8, #ECECEC);
    background-image: -webkit-gradient(linear, 0 0, 0 bottom, from(#F8F8F8), to(#ECECEC), color-stop(.4, #F8F8F8));
    background-image: -webkit-linear-gradient(top, #F8F8F8 0%,#ECECEC 100%);
    background-image: -o-linear-gradient(top, #F8F8F8 0%,#F8F8F8 100%);
    border-top: medium none;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.8) inset;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
}

.bordered td, .bordered th {
    border-left: 1px solid #CCCCCC;
    border-top: 1px solid #CCCCCC;
    padding: 10px;
    text-align: left;
}

.min-50 {
    min-width: 50%;
}

.warningBorder {
    border-color: #b30000;
    border-color: rgba( 179, 0, 0, 0.8);
    box-shadow: 0 1px 1px rgba( 179, 0, 0, 0.075) inset, 0 0 8px rgba( 179, 0, 0, 0.6);
    outline: 0 none;
}

/* Grid Styling */
.e-grid .e-rowcell {
    height: 22px;
    border-width: 1px 0 0 1px;
    border-style: solid;
    border-color: #dee2e6;
    padding-top: 5px;
    padding-bottom: 5px;
}

.e-grid.e-default .e-headercell, .e-grid.e-default .e-detailheadercell {
    border-width: 1px 0 0 1px;
    border-style: solid;
    border-color: #dee2e6;
}

td.e-rowcell.e-unboundcell.e-6 {
    padding-top: 0;
    padding-bottom: 0;
}

.e-pager .e-pagercontainer {
    margin-top: 10px;
    margin-bottom: 5px;
}

.e-pager .e-currentitem {
    padding-top: 11px !important;
    padding-bottom: 11px !important;
}

.e-grid .e-pager {
    padding-top: 0px;
    padding-bottom: 0px;
}

/* Row hover color */
.e-grid.e-gridhover .e-row tr:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell), .e-grid.e-gridhover .e-row:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell), .e-grid.e-gridhover .e-row:not(.e-disable-gridhover):not(.e-detailrow):hover .e-detailrowcollapse:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell), .e-grid.e-gridhover .e-row:not(.e-disable-gridhover):not(.e-detailrow):hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell), .e-grid.e-rtl .e-gridhover .e-row:not(.e-disable-gridhover):not(.e-detailrow):hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell), .e-grid.e-gridhover .e-row:not(.e-disable-gridhover):not(.e-detailrow):hover .e-detailrowexpand:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell) {
    background: #f4f4f4;
    background: -moz-linear-gradient(top,#f4f4f4,#e9e9e9);
    background: -webkit-gradient(linear,left top,left bottom,color-stop(0%,#f4f4f4),color-stop(100%,#e9e9e9));
    background: -webkit-linear-gradient(top,#f4f4f4,#e9e9e9);
    background: -o-linear-gradient(top,#f4f4f4,#e9e9e9);
    background: -ms-linear-gradient(top,#f4f4f4,#e9e9e9);
    background: linear-gradient(to bottom,#f4f4f4,#e9e9e9);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f4f4f4',endColorstr='#e9e9e9',GradientType=0);
}

/* Mobile/tablet view for grids */
@media screen and (max-width: 992px) {
    .e-grid {
        margin-bottom:20px;
    }

    .e-grid.e-responsive .e-rowcell {
        font-size: 1.3rem;
        border-bottom: 1px !important;
        border-style: solid !important;
        border-color: #dee2e6 !important;
        padding-top: 20px !important;
        padding-bottom: 35px !important;
    }

    .e-bigger .e-grid.e-row-responsive .e-gridcontent td::before {
        top:auto;
    }

    .e-bigger .e-grid.e-row-responsive .e-gridcontent .e-row {
        border-bottom: 0px !important;
    }

    .e-bigger .e-grid.e-row-responsive .e-gridcontent td::before {
        font-size: 1.4rem;
        font-weight: 700;
    }

    td.e-rowcell.e-templatecell {
        padding-left: 10px !important;
        padding-top: 5px !important;
        padding-bottom: 5px !important;
    }

    .e-grid .e-altrow {
        background-color: #efefef;
    }

    .e-bigger .e-grid:not(.e-grid-min-height) .e-gridcontent tr.e-row .e-rowcell:empty {
        height: 80px;
    }

    /* Styling for last row of column (buttons) */
    .e-grid.e-device .e-rowcell:last-child {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
    }

    .e-bigger .e-grid .e-rowcell:last-child {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
    }
}